---------------------
PatchSet 2389 
Date: 2001/05/28 11:47:49
Author: hno
Branch: etag
Tag: (none) 
Log:
Support comparisation of weak etags. They compare no differently
than strong tags.

Members: 
	src/ETag.c:1.4->1.4.46.1 

Index: squid/src/ETag.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/ETag.c,v
retrieving revision 1.4
retrieving revision 1.4.46.1
diff -u -r1.4 -r1.4.46.1
--- squid/src/ETag.c	12 Jan 2001 08:20:32 -0000	1.4
+++ squid/src/ETag.c	28 May 2001 11:47:49 -0000	1.4.46.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ETag.c,v 1.4 2001/01/12 08:20:32 hno Exp $
+ * $Id: ETag.c,v 1.4.46.1 2001/05/28 11:47:49 hno Exp $
  *
  * DEBUG: none          ETag parsing support
  * AUTHOR: Alex Rousskov
@@ -63,6 +63,5 @@
 etagIsEqual(const ETag * tag1, const ETag * tag2)
 {
     assert(tag1 && tag2);
-    assert(!tag1->weak && !tag2->weak);		/* weak comparison not implemented yet */
-    return !strcmp(tag1->str, tag2->str);
+    return (tag1->weak == tag2->weak) && !strcmp(tag1->str, tag2->str);
 }
